﻿/*
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;500;600;800&display=swap');
*/

body { /*font-family: 'Open Sans', sans-serif;*/
    color: #535353;
}

.bg_img {
    min-height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background: url(../img/bg-login.jpg) no-repeat center;
    background-size: cover;
}

    .bg_img::before {
        position: absolute;
        content: '';
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgb(36 10 99 / 52%);
    }

.svg_img {
    max-width: 500px;
    min-width: 320px;
    width: 60%;
    display: block;
    margin: 0 auto 30px auto;
}

.animated_text h1 {
    font-weight: 800;
    display: block;
    text-shadow: 0 0 80px rgb(255 255 255 / 50%);
    background: url('../img/animated-text-1.png') repeat-y;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-animation: dhrm 60s linear infinite;
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    font-size: 50px;
}

@-webkit-keyframes dhrm {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}

.info {
    margin-top: 40px;
}

    .info p {
        font-size: 24px;
        font-weight: 300;
        color: #ffffff;
    }

.copyright {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%);
    font-size: 14px;
    font-weight: 400;
    color: #dddddd;
}
.copyright a {
    font-family: 'Architects Daughter';
    letter-spacing: 1px;
    color: #fff;
    text-decoration: none;
    font-size: 12px;
}
.form_info {
    padding: 20px;
    position: relative;
    background: #f3f3f3;
    height: 100vh;
}

.logo {
}

    .logo img {
        height: 140px;
    }

.form-group {
    position: relative;
    z-index: 1;
    margin: 0;
}

.login_form {
    width: 90%;
    max-width: 360px;
    margin: auto;
    display: block;
    padding: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #ffffff;
    border-radius: 2px;
}

.heading {
    font-size: 24px;
    font-weight: 800;
    color: #333333;
}

.form-label {
    position: absolute;
    left: 0;
    top: 18px;
    color: #666666;
    font-weight: 300;
    background-color: #fff;
    z-index: 10;
    -webkit-transition: color .2s ease-out, -webkit-transform .2s ease-out;
    transition: color .2s ease-out, -webkit-transform .2s ease-out;
    transition: transform .2s ease-out, color .2s ease-out;
    transition: transform .2s ease-out, color .2s ease-out, -webkit-transform .2s ease-out;
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
    text-align: initial;
    -webkit-transform: translateY(12px);
    transform: translateY(12px);
    cursor: inherit;
    z-index: -1;
}

.focused .form-label {
    -webkit-transform: translateY(-14px) scale(0.8);
    transform: translateY(-14px) scale(0.8);
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    color: #0d6efd;
    font-weight: 600;
}

.form-input {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #dddddd;
    border-radius: 0;
    outline: none;
    height: 2.5rem;
    width: 100%;
    font-size: 16px;
    margin: 0 0 8px 0;
    padding: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    -webkit-transition: border .3s, -webkit-box-shadow .3s;
    transition: border .3s, -webkit-box-shadow .3s;
    transition: box-shadow .3s, border .3s;
    transition: box-shadow .3s, border .3s, -webkit-box-shadow .3s;
    position: relative;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.login_head {
    display: inline-block;
    margin-bottom: 15px;
    position: absolute;
    top: -25px;
    left: 50%;
    background: #ffffff;
    font-size: 20px;
    transform: translate(-50%, 0);
    padding: 10px 30px;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.15);
    white-space: nowrap;
    border-radius: 35px;
}

.form-input:focus {
    border-bottom: 1px solid #0d6efd;
    -webkit-box-shadow: 0 1px 0 0 #0d6efd;
    box-shadow: 0 1px 0 0 #0d6efd;
}

.lines {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;
    z-index: 1;
    opacity: 0.2;
}

.line {
    position: absolute;
    width: 5px;
    height: 100%;
    top: 0;
    left: 50%;
    background: rgba(255, 255, 255, 0.1);
    overflow: hidden;
}

    .line::after {
        content: '';
        display: block;
        position: absolute;
        height: 15vh;
        width: 100%;
        top: -50%;
        left: 0;
        background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, #ffffff 75%, #ffffff 100%);
        animation: drop 7s 0s infinite;
        animation-fill-mode: forwards;
        animation-timing-function: cubic-bezier(0.4, 0.26, 0, 0.97);
        z-index: -888;
    }

    .line:nth-child(1) {
        margin-left: -40%;
    }

        .line:nth-child(1)::after {
            animation-delay: 1s;
        }

    .line:nth-child(3) {
        margin-left: 40%;
    }

        .line:nth-child(3)::after {
            animation-delay: 2s;
        }

    .line:nth-child(4) {
        margin-left: -20%;
    }

        .line:nth-child(4)::after {
            animation-delay: 3s;
        }

    .line:nth-child(5) {
        margin-left: 20%;
    }

        .line:nth-child(5)::after {
            animation-delay: 4s;
        }

@keyframes drop {
    0% {
        top: -50%;
    }

    100% {
        top: 110%;
    }
}
